/**
 * Copyright 2010-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.substitution;

/**
 * PropertyResolver is designed to provide different strategies for evaluating a given expression.
 * @author Loris Bouzonnet
 */
public interface IPropertyResolver {

    /**
     * @param expression a property name
     * @return the value related to the expression, or null if not found.
     */
    String resolve(final String expression);

}
