/**
 * Copyright 2010-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.substitution;

/**
 * A {@code SubstitutionEngine} can substitute properties used in a
 * String by their values provided by a {@code IPropertyResolver}.
 * @author Guillaume Sauthier
 */
public interface ISubstitutionEngine {

    /**
     * Subsitute variables found in this String with their values.
     * @param variableValue chain to be evaluated
     * @return the given String with variable substituted with values
     * @throws IllegalArgumentException when the String cannot be parsed or
     *         when variables cannot be evaluated
     */
    String substitute(String variableValue);
}
