/**
 * Copyright 2010-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.substitution.engine;

import org.ow2.util.substitution.IPropertyResolver;


/**
 * An {@code IResolvableElement} is a node of the resolution tree that can give a resolved value.
 * @author Guillaume Sauthier
 */
public interface IResolvableElement {

    /**
     * Resolve the value of this element using the given resolver.
     * @param resolver IPropertyResolver to be used
     * @return a String representation of this resolved element
     */
    String getValue(final IPropertyResolver resolver);

    /**
     * Produces an indented String representation of this element.
     * @param indent indentation value
     * @return a String representation
     */
    String toString(final int indent);
}
