/**
 * Copyright 2010-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.substitution.resolver;

import java.util.Properties;

import org.ow2.util.substitution.IPropertyResolver;

/**
 * Provides resolution strategy backed by a Properties instance.
 * @author Guillaume Sauthier
 */
public class PropertiesResolver implements IPropertyResolver {

    private Properties properties;

    public PropertiesResolver(final Properties properties) {
        this.properties = properties;
    }

    public String resolve(final String expression) {
        return properties.getProperty(expression);
    }
}
